# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-pebl
%global srcname pebl

Name:		python-module-pebl
Version:	1.0.2
Release:	alt1_10
Summary:	PEBL: Python Environment for Bayesian Learning

Group:		Development/Python
License:	MIT
URL:		http://code.google.com/p/pebl-project/
Source0:	http://pebl-project.googlecode.com/files/%{srcname}-%{version}.tar.gz
Source1:	README.Fedora
# Fixes the generation of Sphinx documentation during the %%build phase
Patch0:		pebl-1.0.2-sphinx_building.patch

BuildRequires:	python-devel
BuildRequires: python-module-numpy python-module-numpy-addons python-module-numpy-testing
BuildRequires:	python-module-setuptools
# The BuildRequires below are needed for building the Sphinx documentation
BuildRequires:	python-module-sphinx
BuildRequires:	python-module-pydot
# The BuildRequires below are needed for performing the unit tests
BuildRequires: python-module-matplotlib python-module-matplotlib-fltk python-module-matplotlib-gtk3 python-module-matplotlib-qt python-module-matplotlib-qt4 python-module-matplotlib-sphinxext
BuildRequires:	graphviz
BuildRequires:	python-module-simplejson

# The Requires below are optional, needed for certain types of functionality
# Requires for creating HTML reports of Pebl results
Requires:	graphviz
# Requires for the Amazon EC2 Task Controller

# prevent rpm's auto-generated provides mechanism to include Pebl's private
# libraries
%{echo 


}
Source44: import.info
%add_findprov_skiplist %{python_sitelibdir}/.*\.so$
# dropped; see README.fedora
%filter_from_requires /^python2...ipython1./d

%description
Pebl is a python library and command line application for learning the
structure of a Bayesian network given prior knowledge and observations.
Pebl includes the following features:
- can learn with observational and interventional data
- handles missing values and hidden variables using exact and heuristic methods
- provides several learning algorithms; makes creating new ones simple
- has facilities for transparent parallel execution using several cluster/grid
resources
- calculates edge marginals and consensus networks
- presents results in a variety of formats 


%prep
%setup -q -n %{srcname}-%{version}
cp %{SOURCE1} .
%patch0 -p1 -b .sphinx_building


%build
CFLAGS="%{optflags}" %{__python} setup.py build build_sphinx


%install
# --root %%{buildroot} makes the package install with a single, expanded
# directory in %%{python_sitelib} and a separate egginfo directory.
%{__python} setup.py install --skip-build --root %{buildroot}

# remove the files needed for performing unittests and manual tests
rm -r %{buildroot}/%{python_sitelibdir}/%{srcname}/test
rm -r %{buildroot}/%{python_sitelibdir}/%{srcname}/test.manual
# delete unnecessary source files that rpmlint complains about
rm %{buildroot}/%{python_sitelibdir}/%{srcname}/_cpd.c
rm %{buildroot}/%{python_sitelibdir}/%{srcname}/_network.c
# delete a hidden file that rpmlint complains about
rm docs/build/html/.buildinfo
# replace the dangling relative symlink that rpmlint complains about with
# the actual file it points to
mv docs/src/install.rst INSTALL.txt

# Note: Currently, 219 unit tests are run, 1 fails and 8 have errors.
# Upstream bug report about this:
# http://code.google.com/p/pebl-project/issues/detail?id=45
%check
%{__python} setup.py test || :


%files
%doc INSTALL.txt LICENSE.txt README.txt README.Fedora
%doc docs/build/html
%{_bindir}/%{srcname}
%{python_sitelibdir}/%{srcname}/
%{python_sitelibdir}/%{srcname}-*.egg-info


%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.0.2-alt1_10
- update to new release by fcimport

* Fri Jan 04 2013 Igor Vlasenko <viy@altlinux.ru> 1.0.2-alt1_9
- initial fc import

